Requires version 1.1.5 or later of the Archetype platform.
Overview
Returns per-step training and evaluation metrics for the job (e.g. the loss curve). This list is
cursor-paginated and is sorted newest-first. You can filter the list to a single series using
the kind parameter.
Request
string
required
The fine-tuning job ID for which to return metrics. This is a TypeID-encoded identifier with
the FineTuningJobId prefix.
string
Filters the results to a single series: train (per-step), eval (held-out passes), or train_summary
(end-of-run aggregate). Omit this parameter to return all metrics.
string
Forward cursor: return points older than the one with this ID. Pass the next_cursor of the previous page. Mutually exclusive with before.
string
Backward cursor: return points newer than the one with this ID. Pass the prev_cursor of the current page. Mutually exclusive with after.
integer
default:"20"
The maximum number of points to return. Minimum 1, maximum 1000.
v1.1.11+
Response
Returns a page of metric datapoints.
string
The object type of a list response. Always list.
array
The training/evaluation metric datapoints. Each datapoint is represented by a
FineTuningMetric record.
Show FineTuningMetric
A single fine-tuning metric.
string
required
A unique datapoint ID. Pass as the after cursor to page.
integer
required
The Unix timestamp (in seconds) at which the datapoint was created.
string
required
The series this datapoint belongs to: train / eval / train_summary.
integer
required
The training step at which the datapoint was logged.
object
required
The metrics logged at this step (e.g. loss, learning_rate, eval_loss).
boolean
Whether or not more datapoints exist beyond this page.
string
Cursor to continue in the direction of travel — pass it as after when paging forward
(the default), or as before when the request used before. null when has_more is
false. v1.1.11+
string
Cursor to step back the way this page was reached — pass it as before after a forward page,
or as after after a backward one. null when the request carried no cursor.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Archetype AI Documentation","colors":{"primary":"#0047FF","light":"#9EBBFF","dark":"#0047FF"},"logo":{"light":"https://mintcdn.com/archetypeai-bd6fb3cf/Fml2i7FmPyxjLCP7/logo/light.svg?fit=max\u0026auto=format\u0026n=Fml2i7FmPyxjLCP7\u0026q=85\u0026s=4b1f94a0bc6c65c3905d1a55d725b05f","dark":"https://mintcdn.com/archetypeai-bd6fb3cf/Fml2i7FmPyxjLCP7/logo/dark.svg?fit=max\u0026auto=format\u0026n=Fml2i7FmPyxjLCP7\u0026q=85\u0026s=b652785f67f97925eb5177264ffc9e50"},"favicon":"https://mintcdn.com/archetypeai-bd6fb3cf/PEoHdVWOSWJmHgSg/favicon.svg?fit=max\u0026auto=format\u0026n=PEoHdVWOSWJmHgSg\u0026q=85\u0026s=4ea6587ffdd8e925003e9e12319702aa","api":{"mdx":{"auth":{"method":"bearer"},"server":"https://platform.u1.archetypeai.app/api"}},"appearance":{"default":"system"},"navbar":{"links":[{"href":"https://platform.u1.archetypeai.app/","label":"Console"}]},"footer":{"socials":{"twitter":"https://x.com/physicalai","github":"https://github.com/archetypeai","linkedin":"https://www.linkedin.com/company/archetype-ai"}},"search":{"prompt":"Search Archetype Platform docs..."},"seo":{"indexing":"navigable"},"styling":{"codeblocks":"system","latex":false},"integrations":{"amplitude":{"apiKey":"84e8a1610cf8b3c7d8a49d945917606d"}},"markdown":{"instructions":"Start with /introduction/getting-started. Use the Inference API's Direct Query endpoint (POST /api/inference/query) with the newton-c-2.6 or newton-fusion-1.0 model (text, image, and video reasoning) or the omega-embedding encoder (time-series embeddings). ATAI_API_ENDPOINT is the base URL https://platform.u1.archetypeai.app with no version path; every endpoint path begins with /api. Pages whose descriptions are marked (Archived) document the legacy Lens runtime — do not use them for new projects."},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"archetypeai-bd6fb3cf","hasAudioNarration":false,"actualSubdomain":"archetypeai-bd6fb3cf","customDomains":["docs.archetypeai.app"],"gitSource":{"type":"github","owner":"archetypeai","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":"","_id":"6ae399f43888be9481e90634"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6b00c6cd407c66bc0b7fffbb","clientVersion":"0.0.4248","searchFilterCounts":[{"language":"default","tag":"API Reference","count":272},{"language":"default","tag":"Documentation","count":82},{"language":"default","tag":"Agents API","count":55},{"language":"default","tag":"Archive","count":28},{"language":"default","tag":"Core Concepts","count":25},{"language":"default","tag":"Agents","count":24},{"language":"default","tag":"Batch Processing API","count":20},{"language":"default","tag":"Developer Console","count":18},{"language":"default","tag":"Files API","count":16},{"language":"default","tag":"Sessions","count":14}]},"assistantConfig":{"deflection":{"enabled":true,"email":"[email protected]"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"*{border-radius:0px!important}[data-theme=\"light\"] pre,[data-theme=\"light\"] pre code{background-color:#f6f8fa!important;color:#24292e!important}[data-theme=\"dark\"] pre,[data-theme=\"dark\"] pre code{background-color:#161b22!important;color:#e1e4e8!important}[data-theme=\"light\"] code:not(pre code){color:#0969da!important;background-color:#f6f8fa!important;padding:2px 4px;border-radius:3px}[data-theme=\"dark\"] code:not(pre code){color:#79c0ff!important;background-color:#161b22!important;padding:2px 4px;border-radius:3px}"}]}
{"page":{"pagePath":"api-reference/fine-tuning/list-job-metrics","slug":"/api-reference/fine-tuning/list-job-metrics","pageMetadata":{"title":"List Job Metrics","api":"GET /fine-tuning/jobs/{id}/metrics","description":"Get per-step training and evaluation metrics for the job","tag":"v1.1.5+","href":"/api-reference/fine-tuning/list-job-metrics"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Get per-step training and evaluation metrics for the job\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Badge,Callout,Expandable,Heading,ParamField,ResponseField}=_components;if(!Badge)_missingMdxReference(`Badge`,true);if(!Callout)_missingMdxReference(`Callout`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Callout,{icon:`clock`,color:`#3064E3`,iconType:`solid`,children:_jsxs(_components.p,{children:[`Requires `,_jsx(_components.a,{href:`/release-notes/1.1.x#v1-1-5`,children:`version 1.1.5`}),` or later of the Archetype platform.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`overview`,children:`Overview`}),`\n`,_jsxs(_components.p,{children:[`Returns per-step training and evaluation metrics for the job (e.g. the loss curve). This list is\ncursor-paginated and is sorted newest-first. You can filter the list to a single series using\nthe `,_jsx(_components.code,{children:`kind`}),` parameter.`]}),`\n`,_jsx(Heading,{level:`2`,id:`request`,children:`Request`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsxs(_components.p,{children:[`The fine-tuning job ID for which to return metrics. This is a TypeID-encoded identifier with\nthe `,_jsx(_components.code,{children:`FineTuningJobId`}),` prefix.`]})}),`\n`,_jsx(ParamField,{query:`kind`,type:`string`,id:`param-kind`,children:_jsxs(_components.p,{children:[`Filters the results to a single series: `,_jsx(_components.code,{children:`train`}),` (per-step), `,_jsx(_components.code,{children:`eval`}),` (held-out passes), or `,_jsx(_components.code,{children:`train_summary`}),`\n(end-of-run aggregate). Omit this parameter to return all metrics.`]})}),`\n`,_jsx(ParamField,{query:`after`,type:`string`,id:`param-after`,children:_jsxs(_components.p,{children:[`Forward cursor: return points older than the one with this ID. Pass the `,_jsx(_components.code,{children:`next_cursor`}),` of the previous page. Mutually exclusive with `,_jsx(_components.code,{children:`before`}),`.`]})}),`\n`,_jsx(ParamField,{query:`before`,type:`string`,id:`param-before`,children:_jsxs(_components.p,{children:[`Backward cursor: return points newer than the one with this ID. Pass the `,_jsx(_components.code,{children:`prev_cursor`}),` of the current page. Mutually exclusive with `,_jsx(_components.code,{children:`after`}),`.`]})}),`\n`,_jsx(ParamField,{query:`limit`,type:`integer`,default:`20`,id:`param-limit`,children:_jsxs(_components.p,{children:[`The maximum number of points to return. Minimum `,_jsx(_components.code,{children:`1`}),`, maximum `,_jsx(_components.code,{children:`1000`}),`.\n`,_jsx(Badge,{color:`blue`,children:_jsx(_components.a,{href:`/release-notes/1.1.x#v1-1-11`,children:`v1.1.11+`})})]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(_components.p,{children:`Returns a page of metric datapoints.`}),`\n`,_jsx(ResponseField,{name:`object`,type:`string`,id:`param-object`,children:_jsxs(_components.p,{children:[`The object type of a list response. Always `,_jsx(_components.code,{children:`list`}),`.`]})}),`\n`,_jsxs(ResponseField,{name:`data`,type:`array`,id:`param-data`,children:[_jsxs(_components.p,{children:[`The training/evaluation metric datapoints. Each datapoint is represented by a\n`,_jsx(_components.code,{children:`FineTuningMetric`}),` record.`]}),_jsxs(Expandable,{title:`FineTuningMetric`,children:[_jsx(_components.p,{children:`A single fine-tuning metric.`}),_jsx(ResponseField,{name:`id`,type:`string`,required:true,id:`param-id-1`,children:_jsxs(_components.p,{children:[`A unique datapoint ID. Pass as the `,_jsx(_components.code,{children:`after`}),` cursor to page.`]})}),_jsx(ResponseField,{name:`created_at`,type:`integer`,required:true,id:`param-created-at`,children:_jsx(_components.p,{children:`The Unix timestamp (in seconds) at which the datapoint was created.`})}),_jsx(ResponseField,{name:`kind`,type:`string`,required:true,id:`param-kind-1`,children:_jsxs(_components.p,{children:[`The series this datapoint belongs to: `,_jsx(_components.code,{children:`train`}),` / `,_jsx(_components.code,{children:`eval`}),` / `,_jsx(_components.code,{children:`train_summary`}),`.`]})}),_jsx(ResponseField,{name:`step`,type:`integer`,required:true,id:`param-step`,children:_jsx(_components.p,{children:`The training step at which the datapoint was logged.`})}),_jsx(ResponseField,{name:`metrics`,type:`object`,required:true,id:`param-metrics`,children:_jsxs(_components.p,{children:[`The metrics logged at this step (e.g. `,_jsx(_components.code,{children:`loss`}),`, `,_jsx(_components.code,{children:`learning_rate`}),`, `,_jsx(_components.code,{children:`eval_loss`}),`).`]})})]})]}),`\n`,_jsx(ResponseField,{name:`has_more`,type:`boolean`,id:`param-has-more`,children:_jsx(_components.p,{children:`Whether or not more datapoints exist beyond this page.`})}),`\n`,_jsx(ResponseField,{name:`next_cursor`,type:`string`,id:`param-next-cursor`,children:_jsxs(_components.p,{children:[`Cursor to continue in the direction of travel — pass it as `,_jsx(_components.code,{children:`after`}),` when paging forward\n(the default), or as `,_jsx(_components.code,{children:`before`}),` when the request used `,_jsx(_components.code,{children:`before`}),`. `,_jsx(_components.code,{children:`null`}),` when `,_jsx(_components.code,{children:`has_more`}),` is\nfalse. `,_jsx(Badge,{color:`blue`,children:_jsx(_components.a,{href:`/release-notes/1.1.x#v1-1-11`,children:`v1.1.11+`})})]})}),`\n`,_jsx(ResponseField,{name:`prev_cursor`,type:`string`,id:`param-prev-cursor`,children:_jsxs(_components.p,{children:[`Cursor to step back the way this page was reached — pass it as `,_jsx(_components.code,{children:`before`}),` after a forward page,\nor as `,_jsx(_components.code,{children:`after`}),` after a backward one. `,_jsx(_components.code,{children:`null`}),` when the request carried no cursor.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"List Job Metrics","api":"GET /fine-tuning/jobs/{id}/metrics","description":"Get per-step training and evaluation metrics for the job","tag":"v1.1.5+","href":"/api-reference/fine-tuning/list-job-metrics"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{Badge,Callout,CodeBlock,Expandable,Heading,ParamField,RequestExample,ResponseExample,ResponseField}=_components;if(!Badge)_missingMdxReference(`Badge`,true);if(!Callout)_missingMdxReference(`Callout`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Callout,{icon:`clock`,color:`#3064E3`,iconType:`solid`,children:_jsxs(_components.p,{children:[`Requires `,_jsx(_components.a,{href:`/release-notes/1.1.x#v1-1-5`,children:`version 1.1.5`}),` or later of the Archetype platform.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`overview`,children:`Overview`}),`\n`,_jsxs(_components.p,{children:[`Returns per-step training and evaluation metrics for the job (e.g. the loss curve). This list is\ncursor-paginated and is sorted newest-first. You can filter the list to a single series using\nthe `,_jsx(_components.code,{children:`kind`}),` parameter.`]}),`\n`,_jsx(Heading,{level:`2`,id:`request`,children:`Request`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsxs(_components.p,{children:[`The fine-tuning job ID for which to return metrics. This is a TypeID-encoded identifier with\nthe `,_jsx(_components.code,{children:`FineTuningJobId`}),` prefix.`]})}),`\n`,_jsx(ParamField,{query:`kind`,type:`string`,id:`param-kind`,children:_jsxs(_components.p,{children:[`Filters the results to a single series: `,_jsx(_components.code,{children:`train`}),` (per-step), `,_jsx(_components.code,{children:`eval`}),` (held-out passes), or `,_jsx(_components.code,{children:`train_summary`}),`\n(end-of-run aggregate). Omit this parameter to return all metrics.`]})}),`\n`,_jsx(ParamField,{query:`after`,type:`string`,id:`param-after`,children:_jsxs(_components.p,{children:[`Forward cursor: return points older than the one with this ID. Pass the `,_jsx(_components.code,{children:`next_cursor`}),` of the previous page. Mutually exclusive with `,_jsx(_components.code,{children:`before`}),`.`]})}),`\n`,_jsx(ParamField,{query:`before`,type:`string`,id:`param-before`,children:_jsxs(_components.p,{children:[`Backward cursor: return points newer than the one with this ID. Pass the `,_jsx(_components.code,{children:`prev_cursor`}),` of the current page. Mutually exclusive with `,_jsx(_components.code,{children:`after`}),`.`]})}),`\n`,_jsx(ParamField,{query:`limit`,type:`integer`,default:`20`,id:`param-limit`,children:_jsxs(_components.p,{children:[`The maximum number of points to return. Minimum `,_jsx(_components.code,{children:`1`}),`, maximum `,_jsx(_components.code,{children:`1000`}),`.\n`,_jsx(Badge,{color:`blue`,children:_jsx(_components.a,{href:`/release-notes/1.1.x#v1-1-11`,children:`v1.1.11+`})})]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(_components.p,{children:`Returns a page of metric datapoints.`}),`\n`,_jsx(ResponseField,{name:`object`,type:`string`,id:`param-object`,children:_jsxs(_components.p,{children:[`The object type of a list response. Always `,_jsx(_components.code,{children:`list`}),`.`]})}),`\n`,_jsxs(ResponseField,{name:`data`,type:`array`,id:`param-data`,children:[_jsxs(_components.p,{children:[`The training/evaluation metric datapoints. Each datapoint is represented by a\n`,_jsx(_components.code,{children:`FineTuningMetric`}),` record.`]}),_jsxs(Expandable,{title:`FineTuningMetric`,children:[_jsx(_components.p,{children:`A single fine-tuning metric.`}),_jsx(ResponseField,{name:`id`,type:`string`,required:true,id:`param-id-1`,children:_jsxs(_components.p,{children:[`A unique datapoint ID. Pass as the `,_jsx(_components.code,{children:`after`}),` cursor to page.`]})}),_jsx(ResponseField,{name:`created_at`,type:`integer`,required:true,id:`param-created-at`,children:_jsx(_components.p,{children:`The Unix timestamp (in seconds) at which the datapoint was created.`})}),_jsx(ResponseField,{name:`kind`,type:`string`,required:true,id:`param-kind-1`,children:_jsxs(_components.p,{children:[`The series this datapoint belongs to: `,_jsx(_components.code,{children:`train`}),` / `,_jsx(_components.code,{children:`eval`}),` / `,_jsx(_components.code,{children:`train_summary`}),`.`]})}),_jsx(ResponseField,{name:`step`,type:`integer`,required:true,id:`param-step`,children:_jsx(_components.p,{children:`The training step at which the datapoint was logged.`})}),_jsx(ResponseField,{name:`metrics`,type:`object`,required:true,id:`param-metrics`,children:_jsxs(_components.p,{children:[`The metrics logged at this step (e.g. `,_jsx(_components.code,{children:`loss`}),`, `,_jsx(_components.code,{children:`learning_rate`}),`, `,_jsx(_components.code,{children:`eval_loss`}),`).`]})})]})]}),`\n`,_jsx(ResponseField,{name:`has_more`,type:`boolean`,id:`param-has-more`,children:_jsx(_components.p,{children:`Whether or not more datapoints exist beyond this page.`})}),`\n`,_jsx(ResponseField,{name:`next_cursor`,type:`string`,id:`param-next-cursor`,children:_jsxs(_components.p,{children:[`Cursor to continue in the direction of travel — pass it as `,_jsx(_components.code,{children:`after`}),` when paging forward\n(the default), or as `,_jsx(_components.code,{children:`before`}),` when the request used `,_jsx(_components.code,{children:`before`}),`. `,_jsx(_components.code,{children:`null`}),` when `,_jsx(_components.code,{children:`has_more`}),` is\nfalse. `,_jsx(Badge,{color:`blue`,children:_jsx(_components.a,{href:`/release-notes/1.1.x#v1-1-11`,children:`v1.1.11+`})})]})}),`\n`,_jsx(ResponseField,{name:`prev_cursor`,type:`string`,id:`param-prev-cursor`,children:_jsxs(_components.p,{children:[`Cursor to step back the way this page was reached — pass it as `,_jsx(_components.code,{children:`before`}),` after a forward page,\nor as `,_jsx(_components.code,{children:`after`}),` after a backward one. `,_jsx(_components.code,{children:`null`}),` when the request carried no cursor.`]})}),`\n`,_jsxs(RequestExample,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://platform.u1.archetypeai.app/api/fine-tuning/jobs/your-job-id/metrics?kind=train\u0026limit=20\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$ATAI_API_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`14`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`14`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` os`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`api_key `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` os.environ.get(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ATAI_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`job_id `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"your-job-id\"`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.get(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://platform.u1.archetypeai.app/api/fine-tuning/jobs/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`job_id`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`/metrics\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bearer `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`api_key`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` params`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"kind\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"train\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"limit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`20`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(response.json())`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`JavaScript`,numberOfLines:`14`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`14`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` jobId`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'your-job-id'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` params`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` URLSearchParams`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({ `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`kind:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'train'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`limit:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '20'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` });`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `https://platform.u1.archetypeai.app/api/fine-tuning/jobs/\"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`jobId`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`/metrics?`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`params`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `Bearer \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`process`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`env`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:`ATAI_API_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`]})})})]}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`200 - Training metrics`,numberOfLines:`18`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`18`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"list\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"your-metric-id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1765201323`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"kind\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"train\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"step\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metrics\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"loss\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.123`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"learning_rate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.0001`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"has_more\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"next_cursor\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"prev_cursor\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400 - Invalid cursor`,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"invalid_cursor\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Invalid cursor\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"suggestion\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error_uid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"err-xxxxxxxx\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`404 - Not found`,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"not_found\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Not found\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"suggestion\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error_uid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"err-xxxxxxxx\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"List Job Metrics","api":"GET /fine-tuning/jobs/{id}/metrics","description":"Get per-step training and evaluation metrics for the job","tag":"v1.1.5+","href":"/api-reference/fine-tuning/list-job-metrics"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Overview","slug":"overview","depth":2,"children":[]},{"title":"Request","slug":"request","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"2\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"https://platform.u1.archetypeai.app/api/fine-tuning/jobs/your-job-id/metrics?kind=train\u0026#x26;limit=20\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -H\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Authorization: Bearer \u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">$ATAI_API_KEY\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Python","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"python\">\u003ccode language=\"python\" numberOfLines=\"14\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">import\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> requests\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">import\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> os\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">api_key \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> os.environ.get(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"ATAI_API_KEY\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">job_id \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"your-job-id\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">response \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> requests.get(\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\"> f\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://platform.u1.archetypeai.app/api/fine-tuning/jobs/\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">{\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">job_id\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">}\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">/metrics\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\"> headers\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Authorization\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">f\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Bearer \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">{\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">api_key\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">}\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">},\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\"> params\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"kind\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"train\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"limit\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">20\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#DCDCAA\">print\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(response.json())\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"JavaScript","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"javascript\">\u003ccode language=\"javascript\" numberOfLines=\"14\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> jobId\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'your-job-id'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">;\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> params\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\"> new\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> URLSearchParams\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">({ \u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">kind:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'train'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">limit:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> '20'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> });\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> response\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> await\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> fetch\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> `https://platform.u1.archetypeai.app/api/fine-tuning/jobs/\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#569CD6\">${\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">jobId\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#569CD6\">}\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">/metrics?\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#569CD6\">${\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">params\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#569CD6\">}\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">`\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> headers:\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Authorization'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> `Bearer \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#569CD6\">${\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">process\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">env\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\">ATAI_API_KEY\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#569CD6\">}\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">`\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> data\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> await\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> response\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">json\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">();\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">console\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">log\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">data\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">);\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"200 - Training metrics","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"18\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"object\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"list\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"your-metric-id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1765201323\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"kind\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"train\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"step\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1000\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"metrics\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"loss\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0.123\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"learning_rate\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0.0001\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"has_more\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"next_cursor\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"prev_cursor\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400 - Invalid cursor","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"6\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"invalid_cursor\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Invalid cursor\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"suggestion\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error_uid\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"err-xxxxxxxx\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"404 - Not found","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"6\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"not_found\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Not found\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"suggestion\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error_uid\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"err-xxxxxxxx\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"List Job Metrics","path":"/fine-tuning/jobs/{id}/metrics","servers":[{"url":"https://platform.u1.archetypeai.app/api"}],"method":"get","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{"kind":{"schema":[{"type":"string","description":"Filters the results to a single series: `train` (per-step), `eval` (held-out passes), or `train_summary` (end-of-run aggregate). Omit this parameter to return all metrics."}]},"after":{"schema":[{"type":"string","description":"Forward cursor: return points older than the one with this ID. Pass the `next_cursor` of the previous page. Mutually exclusive with `before` ."}]},"before":{"schema":[{"type":"string","description":"Backward cursor: return points newer than the one with this ID. Pass the `prev_cursor` of the current page. Mutually exclusive with `after` ."}]},"limit":{"schema":[{"type":"integer","description":"The maximum number of points to return. Minimum `1` , maximum `1000` ."}]}},"header":{},"cookie":{},"path":{"id":{"schema":[{"type":"string","description":"The fine-tuning job ID for which to return metrics. This is a TypeID-encoded identifier with the `FineTuningJobId` prefix.","required":true}]}}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"object":[{"type":"string","description":"The object type of a list response. Always `list` ."}],"data":[{"type":"array","items":[{"type":"object","properties":{"id":[{"type":"string","description":"A unique datapoint ID. Pass as the `after` cursor to page.","required":true}],"created_at":[{"type":"integer","description":"The Unix timestamp (in seconds) at which the datapoint was created.","required":true}],"kind":[{"type":"string","description":"The series this datapoint belongs to: `train` / `eval` / `train_summary` .","required":true}],"step":[{"type":"integer","description":"The training step at which the datapoint was logged.","required":true}],"metrics":[{"type":"object","properties":{},"description":"The metrics logged at this step (e.g. `loss` , `learning_rate` , `eval_loss` ).","required":true}]}}],"description":"The training/evaluation metric datapoints. Each datapoint is represented by a `FineTuningMetric` record."}],"has_more":[{"type":"boolean","description":"Whether or not more datapoints exist beyond this page."}],"next_cursor":[{"type":"string","description":"Cursor to continue in the direction of travel — pass it as `after` when paging forward (the default), or as `before` when the request used `before` . `null` when `has_more` is false."}],"prev_cursor":[{"type":"string","description":"Cursor to step back the way this page was reached — pass it as `before` after a forward page, or as `after` after a backward one. `null` when the request carried no cursor."}]}}],"examples":{"example":{"value":{"object":"\u003cstring>","data":[{"id":"\u003cstring>","created_at":123,"kind":"\u003cstring>","step":123,"metrics":{}}],"has_more":true,"next_cursor":"\u003cstring>","prev_cursor":"\u003cstring>"}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"archetypeai-bd6fb3cf","siteName":"Archetype AI Documentation","title":"List Job Metrics - Archetype AI Documentation","relatedPagesConfig":{"enabled":true,"limit":5,"mode":"manual"},"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-26T14:55:57.437Z","originalFileLocation":"api-reference/fine-tuning/list-job-metrics.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Get per-step training and evaluation metrics for the job\">\u003cmeta data-mint-head name=\"application-name\" content=\"Archetype AI Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/archetypeai-bd6fb3cf/k6xQEXnXaSGa-p6g/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/archetypeai-bd6fb3cf/k6xQEXnXaSGa-p6g/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/archetypeai-bd6fb3cf/k6xQEXnXaSGa-p6g/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/archetypeai-bd6fb3cf/k6xQEXnXaSGa-p6g/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/archetypeai-bd6fb3cf/k6xQEXnXaSGa-p6g/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/archetypeai-bd6fb3cf/k6xQEXnXaSGa-p6g/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/archetypeai-bd6fb3cf/k6xQEXnXaSGa-p6g/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/archetypeai-bd6fb3cf/k6xQEXnXaSGa-p6g/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/archetypeai-bd6fb3cf/k6xQEXnXaSGa-p6g/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List Job Metrics - Archetype AI Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Get per-step training and evaluation metrics for the job\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Archetype AI Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.archetypeai.app/api-reference/fine-tuning/list-job-metrics\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://archetypeai-bd6fb3cf.mintlify.site/_mintlify/api/og/v2?division=Fine-Tuning+Service\u0026amp;title=List+Job+Metrics\u0026amp;description=Get+per-step+training+and+evaluation+metrics+for+the+job\u0026amp;theme=baca9d5089929997d797e9d7\u0026amp;signature=285a66f40f47500bf53268a802186570e103466a5f615e3ca889fcf4463adffb\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List Job Metrics - Archetype AI Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Get per-step training and evaluation metrics for the job\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://archetypeai-bd6fb3cf.mintlify.site/_mintlify/api/og/v2?division=Fine-Tuning+Service\u0026amp;title=List+Job+Metrics\u0026amp;description=Get+per-step+training+and+evaluation+metrics+for+the+job\u0026amp;theme=baca9d5089929997d797e9d7\u0026amp;signature=285a66f40f47500bf53268a802186570e103466a5f615e3ca889fcf4463adffb\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/archetypeai-bd6fb3cf/k6xQEXnXaSGa-p6g/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Archetype AI Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0047FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.archetypeai.app/api-reference/fine-tuning/list-job-metrics\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/fine-tuning/list-job-metrics.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.archetypeai.app/#organization\",\"name\":\"Archetype AI Documentation\",\"url\":\"https://docs.archetypeai.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/archetypeai-bd6fb3cf/Fml2i7FmPyxjLCP7/logo/light.svg?fit=max\u0026auto=format\u0026n=Fml2i7FmPyxjLCP7\u0026q=85\u0026s=4b1f94a0bc6c65c3905d1a55d725b05f\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.archetypeai.app#website\",\"name\":\"Archetype AI Documentation\",\"url\":\"https://docs.archetypeai.app\",\"publisher\":{\"@id\":\"https://docs.archetypeai.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.archetypeai.app/api-reference/fine-tuning/list-job-metrics#webpage\",\"url\":\"https://docs.archetypeai.app/api-reference/fine-tuning/list-job-metrics\",\"name\":\"List Job Metrics\",\"description\":\"Get per-step training and evaluation metrics for the job\",\"dateModified\":\"2026-10-26T14:55:57.437Z\",\"isPartOf\":{\"@id\":\"https://docs.archetypeai.app#website\"},\"breadcrumb\":{\"@id\":\"https://docs.archetypeai.app/api-reference/fine-tuning/list-job-metrics#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.archetypeai.app/api-reference/fine-tuning/list-job-metrics#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.archetypeai.app/api-reference/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Fine-Tuning Service\",\"item\":\"https://docs.archetypeai.app/api-reference/fine-tuning/about\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"List Job Metrics\",\"item\":\"https://docs.archetypeai.app/api-reference/fine-tuning/list-job-metrics\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.archetypeai.app/api-reference/fine-tuning/list-job-metrics#apireference\",\"headline\":\"List Job Metrics\",\"name\":\"List Job Metrics\",\"description\":\"Get per-step training and evaluation metrics for the job\",\"url\":\"https://docs.archetypeai.app/api-reference/fine-tuning/list-job-metrics\",\"mainEntityOfPage\":{\"@id\":\"https://docs.archetypeai.app/api-reference/fine-tuning/list-job-metrics#webpage\"},\"dateModified\":\"2026-10-26T14:55:57.437Z\",\"publisher\":{\"@id\":\"https://docs.archetypeai.app/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.archetypeai.app#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Archetype AI Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Archetype AI Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/fine-tuning/list-job-metrics.md","siteName":"Archetype AI Documentation","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction/overview"}]},{"tab":"API Reference","directory":"accordion","groups":[{"group":"API Reference","public":true,"pages":[{"title":"Overview","href":"/api-reference/introduction"},{"title":"Quick Reference","href":"/api-reference/quick-reference"},{"title":"Error Handling","href":"/api-reference/errors"},{"title":"Direct Query","api":"POST /lens/query","deprecated":true,"href":"/api-reference/query"},{"group":"Agents API","root":{"title":"About the Agents API","sidebarTitle":"About","href":"/api-reference/agents/about"},"pages":[{"group":"Blueprints","pages":[{"title":"Copy Blueprint","api":"POST /agents/blueprints/{reference}/copy","tag":"v2.0.0+","href":"/api-reference/agents/blueprints/copy-blueprint"},{"title":"Create Blueprint","api":"POST /agents/blueprints","tag":"v1.1.9+","href":"/api-reference/agents/blueprints/create-blueprint"},{"title":"Delete Blueprint","api":"DELETE /agents/blueprints/{reference}","tag":"v1.1.9+","href":"/api-reference/agents/blueprints/delete-blueprint"},{"title":"Get Blueprint","api":"GET /agents/blueprints/{reference}","tag":"v1.1.9+","href":"/api-reference/agents/blueprints/get-blueprint"},{"title":"List Blueprint Versions","api":"GET /agents/blueprints/{reference}/versions","tag":"v1.1.12+","href":"/api-reference/agents/blueprints/list-blueprint-versions"},{"title":"List Blueprints","api":"GET /agents/blueprints","tag":"v1.1.9+","href":"/api-reference/agents/blueprints/list-blueprints"}]},{"group":"Bundles","pages":[{"title":"Create Bundle","api":"POST /agents/bundles","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/bundles/create-bundle"},{"title":"Delete Bundle","api":"DELETE /agents/bundles/{bundle_id}","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/bundles/delete-bundle"},{"title":"Get Bundle","api":"GET /agents/bundles/{bundle_id}","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/bundles/get-bundle"},{"title":"List Bundles","api":"GET /agents/bundles","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/bundles/list-bundles"},{"title":"Run Bundle","api":"POST /agents/bundles/{bundle_id}/run","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/bundles/run-bundle"}]},{"group":"Deployments","pages":[{"title":"Create Deployment","api":"POST /api/agents/deployments","tag":"v2.0.1+","href":"/api-reference/agents/deployments/create-deployment"},{"title":"Delete Deployment","api":"DELETE /api/agents/deployments/{deployment_id}","tag":"v2.0.1+","href":"/api-reference/agents/deployments/delete-deployment"},{"title":"Get Deployment","api":"GET /api/agents/deployments/{deployment_id}","tag":"v2.0.1+","href":"/api-reference/agents/deployments/get-deployment"},{"title":"List Deployments","api":"GET /api/agents/deployments","tag":"v2.0.1+","href":"/api-reference/agents/deployments/list-deployments"},{"title":"Stop Deployment","api":"POST /api/agents/deployments/{deployment_id}/stop","tag":"v2.0.1+","href":"/api-reference/agents/deployments/stop-deployment"},{"title":"Update Deployment","api":"PATCH /api/agents/deployments/{deployment_id}","tag":"v2.0.1+","href":"/api-reference/agents/deployments/update-deployment"}]},{"group":"Evals","pages":[{"title":"Cancel Eval","api":"POST /agents/evals/{eval_id}/cancel","tag":"v1.1.12+","href":"/api-reference/agents/evals/cancel-eval"},{"title":"Create Eval","api":"POST /agents/evals","tag":"v1.1.12+","href":"/api-reference/agents/evals/create-eval"},{"title":"Delete Eval","api":"DELETE /agents/evals/{eval_id}","tag":"v1.1.12+","href":"/api-reference/agents/evals/delete-eval"},{"title":"Get Eval","api":"GET /agents/evals/{eval_id}","tag":"v1.1.12+","href":"/api-reference/agents/evals/get-eval"},{"title":"List Eval Examples","api":"GET /agents/evals/{eval_id}/examples","tag":"v1.1.12+","href":"/api-reference/agents/evals/list-eval-examples"},{"title":"List Evals","api":"GET /agents/evals","tag":"v1.1.12+","href":"/api-reference/agents/evals/list-evals"}]},{"group":"Instances","pages":[{"title":"Cancel Agent","api":"POST /agents/instances/{agent_id}/cancel","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/instances/cancel-agent"},{"title":"Create Agent","api":"POST /agents/instances","tag":"v2.0.0+","deprecated":true,"href":"/api-reference/agents/instances/create-agent"},{"title":"Delete Agent","api":"DELETE /agents/instances/{agent_id}","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/instances/delete-agent"},{"title":"Get Agent Logs","api":"GET /agents/instances/{agent_id}/logs","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/instances/get-agent-logs"},{"title":"Get Agent Results","api":"GET /agents/instances/{agent_id}/results","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/instances/get-agent-results"},{"title":"Get Agent","api":"GET /agents/instances/{agent_id}","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/instances/get-agent"},{"title":"List Agent Events","api":"GET /agents/instances/{agent_id}/events","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/instances/list-agent-events"},{"title":"List Agents","api":"GET /agents/instances","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/instances/list-agents"},{"title":"Pause Agent","api":"POST /agents/instances/{agent_id}/pause","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/instances/pause-agent"},{"title":"Connect to Agent","api":"GET /agents/instances/{agent_id}/connect","tag":"v1.1.13+","deprecated":true,"href":"/api-reference/agents/instances/connect-agent"},{"title":"Query Agent","api":"POST /agents/instances/{agent_id}/query","tag":"v1.1.12+","deprecated":true,"href":"/api-reference/agents/instances/query-agent"},{"title":"Resume Agent","api":"POST /agents/instances/{agent_id}/resume","tag":"v1.1.9+","deprecated":true,"href":"/api-reference/agents/instances/resume-agent"}]},{"group":"Nodes","pages":[{"title":"List Node Registry","api":"GET /agents/nodes/registry","tag":"v1.1.9+","href":"/api-reference/agents/nodes/list-node-registry"}]},{"group":"Optimizations","pages":[{"title":"Cancel Optimization","api":"POST /agents/optimizations/{optimization_id}/cancel","tag":"v1.1.12+","href":"/api-reference/agents/optimizations/cancel-optimization"},{"title":"Create Optimization","api":"POST /agents/optimizations","tag":"v1.1.12+","href":"/api-reference/agents/optimizations/create-optimization"},{"title":"Delete Optimization","api":"DELETE /agents/optimizations/{optimization_id}","tag":"v1.1.12+","href":"/api-reference/agents/optimizations/delete-optimization"},{"title":"Get Optimization","api":"GET /agents/optimizations/{optimization_id}","tag":"v1.1.12+","href":"/api-reference/agents/optimizations/get-optimization"},{"title":"List Optimization Trials","api":"GET /agents/optimizations/{optimization_id}/trials","tag":"v1.1.12+","href":"/api-reference/agents/optimizations/list-optimization-trials"},{"title":"List Optimizations","api":"GET /agents/optimizations","tag":"v1.1.12+","href":"/api-reference/agents/optimizations/list-optimizations"},{"title":"Promote Trial","api":"POST /agents/optimizations/{optimization_id}/trials/{trial_id}/promote","tag":"v1.1.12+","href":"/api-reference/agents/optimizations/promote-trial"}]},{"group":"Packages","pages":[{"title":"Create Package","api":"POST /agents/packages","tag":"v2.0.0+","href":"/api-reference/agents/packages/create-package"},{"title":"Delete Package","api":"DELETE /agents/packages/{package_id}","tag":"v2.0.0+","href":"/api-reference/agents/packages/delete-package"},{"title":"Get Package","api":"GET /agents/packages/{package_id}","tag":"v2.0.0+","href":"/api-reference/agents/packages/get-package"},{"title":"List Packages","api":"GET /agents/packages","tag":"v2.0.0+","href":"/api-reference/agents/packages/list-packages"}]},{"group":"Sessions","pages":[{"title":"Cancel Session","api":"POST /api/agents/sessions/{session_id}/cancel","tag":"v2.0.1+","href":"/api-reference/agents/sessions/cancel-session"},{"title":"Create Session","api":"POST /api/agents/sessions","tag":"v2.0.1+","href":"/api-reference/agents/sessions/create-session"},{"title":"Delete Session","api":"DELETE /api/agents/sessions/{session_id}","tag":"v2.0.1+","href":"/api-reference/agents/sessions/delete-session"},{"title":"Get Session","api":"GET /api/agents/sessions/{session_id}","tag":"v2.0.1+","href":"/api-reference/agents/sessions/get-session"},{"title":"Get Session Results","api":"GET /api/agents/sessions/{session_id}/results","tag":"v2.0.1+","href":"/api-reference/agents/sessions/get-session-results"},{"title":"List Session Events","api":"GET /api/agents/sessions/{session_id}/events","tag":"v2.0.1+","href":"/api-reference/agents/sessions/list-session-events"},{"title":"List Sessions","api":"GET /api/agents/sessions","tag":"v2.0.1+","href":"/api-reference/agents/sessions/list-sessions"},{"title":"Query Session","api":"POST /api/agents/sessions/{session_id}/query","tag":"v2.0.1+","href":"/api-reference/agents/sessions/query-session"}]}]},{"group":"Projects API","root":{"title":"About the Projects API","sidebarTitle":"About","tag":"v2.0.0+","href":"/api-reference/projects/about"},"pages":[{"title":"Create Project","api":"POST /projects","tag":"v2.0.0+","href":"/api-reference/projects/create-project"},{"title":"Delete Project","api":"DELETE /projects/{project_id}","tag":"v2.0.0+","href":"/api-reference/projects/delete-project"},{"title":"Get Project","api":"GET /projects/{project_id}","tag":"v2.0.0+","href":"/api-reference/projects/get-project"},{"title":"List Projects","api":"GET /projects","tag":"v2.0.0+","href":"/api-reference/projects/list-projects"},{"title":"Update Project","api":"PATCH /projects/{project_id}","tag":"v2.0.0+","href":"/api-reference/projects/update-project"}]},{"group":"Inference API","root":{"title":"About the Inference API","sidebarTitle":"About","tag":"v2.0.1+","href":"/api-reference/inference/about"},"pages":[{"title":"Inference: Direct Query","sidebarTitle":"Direct Query","api":"POST /api/inference/query","tag":"v2.0.1+","href":"/api-reference/inference/query"},{"title":"Inference: Chat Completions","sidebarTitle":"Chat Completions","api":"POST /api/inference/chat/completions","tag":"v2.0.1+","href":"/api-reference/inference/chat-completions"},{"title":"Inference: Responses","sidebarTitle":"Responses","api":"POST /api/inference/responses","tag":"v2.0.1+","href":"/api-reference/inference/responses"},{"group":"Sessions","pages":[{"title":"Create Model Session","api":"POST /api/inference/sessions","tag":"v2.0.1+","href":"/api-reference/inference/sessions/create-session"},{"title":"List Model Sessions","api":"GET /api/inference/sessions","tag":"v2.0.1+","href":"/api-reference/inference/sessions/list-sessions"},{"title":"Get Model Session","api":"GET /api/inference/sessions/{session_id}","tag":"v2.0.1+","href":"/api-reference/inference/sessions/get-session"},{"title":"Query a Model Session","api":"POST /api/inference/sessions/{session_id}/query","tag":"v2.0.1+","href":"/api-reference/inference/sessions/query-session"},{"title":"Cancel Model Session","api":"POST /api/inference/sessions/{session_id}/cancel","tag":"v2.0.1+","href":"/api-reference/inference/sessions/cancel-session"},{"title":"Delete Model Session","api":"DELETE /api/inference/sessions/{session_id}","tag":"v2.0.1+","href":"/api-reference/inference/sessions/delete-session"}]},{"title":"Migrating from the Direct Query API","sidebarTitle":"Direct Query API → Inference","tag":"v2.0.1+","href":"/api-reference/inference/migrate-from-direct-query"},{"title":"Migrating Omega from the Direct Query API","sidebarTitle":"Direct Query API → Omega","tag":"v2.0.1+","href":"/api-reference/inference/migrate-omega-from-direct-query"}]},{"group":"Lens API","root":{"title":"About the Lens API","sidebarTitle":"About","href":"/api-reference/lens/about"},"pages":[{"title":"Register Lens","api":"POST /lens/register","tag":"v1.1.5+","href":"/api-reference/lens/lens-register"},{"title":"Clone Lens","api":"POST /lens/clone","tag":"v1.1.5+","href":"/api-reference/lens/lens-clone"},{"title":"Modify Lens","api":"POST /lens/modify","tag":"v1.1.5+","href":"/api-reference/lens/lens-modify"},{"title":"Delete Lens","api":"POST /lens/delete","tag":"v1.1.5+","href":"/api-reference/lens/lens-delete"},{"title":"Get Lens Info","api":"GET /lens/info","tag":"v1.1.5+","href":"/api-reference/lens/get-info"},{"title":"Get Lens Metadata","api":"GET /lens/metadata","tag":"v1.1.5+","href":"/api-reference/lens/get-metadata"},{"title":"Create Lens Session","api":"POST /lens/sessions/create","tag":"v1.1.5+","href":"/api-reference/lens/create-session"},{"title":"Destroy Lens Session","api":"POST /lens/sessions/destroy","tag":"v1.1.5+","href":"/api-reference/lens/destroy-session"},{"title":"Get Sessions Info","api":"GET /lens/sessions/info","tag":"v1.1.5+","href":"/api-reference/lens/get-sessions-info"},{"title":"Get Sessions Metadata","api":"GET /lens/sessions/metadata","tag":"v1.1.5+","href":"/api-reference/lens/get-sessions-metadata"},{"title":"Session Events Process","api":"POST /lens/sessions/events/process","tag":"v1.1.5+","href":"/api-reference/lens/sessions-events-process"},{"title":"Lens Events API (WebSocket)","href":"/api-reference/lens/websocket-events"},{"title":"Consume Session Events (SSE)","api":"GET /lens/sessions/consumer/{session_id}","tag":"v1.1.5+","href":"/api-reference/lens/consumer"},{"title":"Lens API Examples","href":"/api-reference/lens/examples"}]},{"group":"Files API","root":{"title":"About the Files API","sidebarTitle":"About","href":"/api-reference/files/about"},"pages":[{"title":"Upload File","api":"POST /files","tag":"v1.1.5+","href":"/api-reference/files/upload"},{"title":"Upload Base64 File","api":"POST /files/base64","tag":"v1.1.5+","href":"/api-reference/files/upload-base64"},{"title":"Delete File by ID","api":"DELETE /files/{file_id}","tag":"v2.0.0+","href":"/api-reference/files/delete-file-by-id"},{"title":"Delete File","api":"DELETE /files/delete/{file_id}","tag":"v1.1.5+","href":"/api-reference/files/delete-file"},{"title":"Download File Content","api":"GET /files/{file_id}/content","tag":"v2.0.0+","href":"/api-reference/files/download-file-content"},{"title":"Download File","api":"GET /files/download/{file_id}","tag":"v1.1.5+","href":"/api-reference/files/download-file"},{"title":"Get Files Info","api":"GET /files/info","tag":"v1.1.5+","href":"/api-reference/files/get-info"},{"title":"Get File","api":"GET /files/{file_id}","tag":"v2.0.0+","href":"/api-reference/files/get-file"},{"title":"Get File Metadata","api":"GET /files/metadata/{file_id}","tag":"v1.1.5+","href":"/api-reference/files/get-metadata"},{"title":"List Files","api":"GET /files","tag":"v2.0.0+","href":"/api-reference/files/list-files"},{"title":"List Files Metadata","api":"GET /files/metadata","tag":"v1.1.5+","href":"/api-reference/files/get-all-metadata"},{"title":"Initiate Upload","api":"POST /files/uploads/initiate","tag":"v1.1.5+","href":"/api-reference/files/initiate-upload"},{"title":"Generate Upload Part URLs","api":"POST /files/uploads/{upload_id}/parts/urls","tag":"v1.1.5+","href":"/api-reference/files/generate-part-urls"},{"title":"Checkpoint Upload Parts","api":"POST /files/uploads/{upload_id}/parts/checkpoint","tag":"v1.1.5+","href":"/api-reference/files/checkpoint-parts"},{"title":"Complete Upload","api":"POST /files/uploads/{upload_id}/complete","tag":"v1.1.5+","href":"/api-reference/files/complete-upload"},{"title":"Abort Upload","api":"POST /files/uploads/{upload_id}/abort","tag":"v1.1.5+","href":"/api-reference/files/abort-upload"}]},{"group":"Fine-Tuning Service","root":{"title":"About the Fine-Tuning Service API","sidebarTitle":"About","href":"/api-reference/fine-tuning/about"},"pages":[{"title":"Create Fine-tuning Job","sidebarTitle":"Create Job","api":"POST /fine-tuning/jobs","tag":"v1.1.5+",
[...]
